<div>
    <h2 id="page-heading">
        <span jhiTranslate="shoppingonlineApp.fattura.home.title">Fatturas</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-fattura" [routerLink]="['/fattura/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="shoppingonlineApp.fattura.home.createLabel">
            Create a new Fattura
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="fatturas?.length === 0">
        <span jhiTranslate="shoppingonlineApp.fattura.home.notFound">No fatturas found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="fatturas && fatturas.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.fattura.partitaIva">Partita Iva</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.fattura.ragioneSociale">Ragione Sociale</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let fattura of fatturas ;trackBy: trackId">
                    <td><a [routerLink]="['/fattura', fattura.id, 'view']">{{ fattura.id }}</a></td>
                    <td>{{ fattura.partitaIva }}</td>
                    <td>{{ fattura.ragioneSociale }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/fattura', fattura.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/fattura', fattura.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(fattura)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
